---
layout: docs
title: Overview
header: What is Easy rules?
next_section: about/getting-started
doc: true
---

Easy Rules is a simple yet powerful Java rules engine providing the following features:

* Lightweight framework and easy to learn API
* POJO based development
* Useful abstractions to define business rules and apply them easily
* The ability to create composite rules from primitive ones
* Dynamic rule configuration at runtime using JMX

In a very interesting [article](http://martinfowler.com/bliki/RulesEngine.html) about rules engines, [Martin Fowler](http://martinfowler.com/) says the following :

>You can build a simple rules engine yourself. All you need is to create a bunch of objects with conditions and actions, store them in a collection, and run through them to evaluate the conditions and execute the actions.

This is exactly what Easy Rules does, with more features like rule composition and dynamic configuration.
